// DViewerDlg.h : header file
//

#if !defined(AFX_DVIEWERDLG_H__B99C8FD1_74C5_4E52_8741_1D3A91B77783__INCLUDED_)
#define AFX_DVIEWERDLG_H__B99C8FD1_74C5_4E52_8741_1D3A91B77783__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MessageWnd.h"


#define NUMBER_OF_EDIT_BOX						12
#define NUMBER_OF_STATIC_TEXT					21


/////////////////////////////////////////////////////////////////////////////
// CDViewerDlg dialog

class CDViewerDlg : public CDialog
{
// Construction
public:
	CDViewerDlg( CWnd* pParent = NULL );	// standard constructor

// Dialog Data
	BYTE Mode;								// 0 - 
	BYTE LastMode;							// 1 -   
											// 2 -   
											// 3 -   
	
	TCHAR FrameFilename[MAX_PATH];			//     
	TCHAR SettingsFilename[MAX_PATH];		//      
	BOOL RemoteConnectFlag;
	DWORD ErrorCode;

	UINT_PTR TimerId;
	sockaddr_in AddrOut;
	sockaddr_in AddrIn;

//	struct IMAGE Image;

	CStatic cHeaderText;
	CStatic cNextText;
	CStatic cPrevText;
	CStatic StaticText[NUMBER_OF_STATIC_TEXT];
	CScrollBar *ScrollBar;
	CEdit *EditText[NUMBER_OF_EDIT_BOX];
	RECT EditRect[NUMBER_OF_EDIT_BOX];
	WORD EditTextLimitsTable[NUMBER_OF_EDIT_BOX];
	WORD EditIndex;
	CMessageWnd MessageWindow;

	//{{AFX_DATA( CDViewerDlg )
	enum { IDD = IDD_DVIEWER_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDViewerDlg)
	public:
	virtual void WinHelp( DWORD dwData, UINT nCmd = HELP_CONTEXT );
	virtual void ChangeMode( void );
	VOID ShowSettings( VOID );
	VOID ShowFrameComments( CPaintDC * pdc );

	protected:
	virtual void DoDataExchange( CDataExchange* pDX );	// DDX/DDV support
	virtual BOOL PreCreateWindow( CREATESTRUCT& cs );
	virtual LRESULT WindowProc( UINT message, WPARAM wParam, LPARAM lParam );
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;
	CBrush pBrush;
	int Depth;
	int Width;


	// Generated message map functions
	//{{AFX_MSG( CDViewerDlg )
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg int OnCreate( LPCREATESTRUCT lpCreateStruct );
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DVIEWERDLG_H__B99C8FD1_74C5_4E52_8741_1D3A91B77783__INCLUDED_)
