// IPEditDlg.cpp : implementation file
//

#include "stdafx.h"
#include "DViewer.h"
#include "defines.h"
#include "IPEditDlg.h"
#include ".\ipeditdlg.h"


extern DWORD RemoteIPAddress;
extern BOOL SaveConfigurationFlag;


union DWORD_TO_BYTE {
BYTE Byte[4];
DWORD Dword;
};

// CIPEditDlg dialog

IMPLEMENT_DYNAMIC( CIPEditDlg, CDialog )
CIPEditDlg::CIPEditDlg( CWnd* pParent /*=NULL*/) : CDialog( CIPEditDlg::IDD, pParent )
{
}

CIPEditDlg::~CIPEditDlg()
{
}

void CIPEditDlg::DoDataExchange( CDataExchange* pDX )
{
	CDialog::DoDataExchange( pDX );
}


BEGIN_MESSAGE_MAP( CIPEditDlg, CDialog )
END_MESSAGE_MAP()


// CIPEditDlg message handlers
BOOL CIPEditDlg::OnInitDialog()
{
CIPAddressCtrl *IPAddressCtrl;
union DWORD_TO_BYTE IPAddress;

	CDialog::OnInitDialog();

	IPAddressCtrl = ( CIPAddressCtrl * ) GetDlgItem( IDC_IPADDRESS_DEFECTOSCOPE );
	IPAddress.Byte[0] = ( BYTE ) ( ( RemoteIPAddress & 0xff000000 ) >> 24 );
	IPAddress.Byte[1] = ( BYTE ) ( ( RemoteIPAddress & 0x00ff0000 ) >> 16 );
	IPAddress.Byte[2] = ( BYTE ) ( ( RemoteIPAddress & 0x0000ff00 ) >> 8 );
	IPAddress.Byte[3] = ( BYTE ) ( ( RemoteIPAddress & 0x000000ff ) >> 0 );
	IPAddressCtrl->SetAddress( IPAddress.Dword );

	SetWindowText( IPAddressHeaderText );

	return TRUE;  // return TRUE unless you set the focus to a control
	// EXCEPTION: OCX Property Pages should return FALSE
}

void CIPEditDlg::OnOK()
{
CIPAddressCtrl *IPAddressCtrl;
union DWORD_TO_BYTE IPAddress;

	IPAddressCtrl = ( CIPAddressCtrl * ) GetDlgItem( IDC_IPADDRESS_DEFECTOSCOPE );
	IPAddressCtrl->GetAddress( IPAddress.Dword );
	RemoteIPAddress = ( ( DWORD ) IPAddress.Byte[3] ) << 0;
	RemoteIPAddress |= ( ( DWORD ) IPAddress.Byte[2] ) << 8;
	RemoteIPAddress |= ( ( DWORD ) IPAddress.Byte[1] ) << 16;
	RemoteIPAddress |= ( ( DWORD ) IPAddress.Byte[0] ) << 24;

	SaveConfigurationFlag = TRUE;

	CDialog::OnOK();
}

