// NumberDlg.cpp : implementation file
//

#include "stdafx.h"
#include "DViewer.h"
#include "NumberDlg.h"
#include "DViewerDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CNumberDlg dialog
extern WORD Version;							//  ,  
extern WORD LastVersion;
extern WORD Number;
extern TCHAR VersionBuffer[];
extern TCHAR NumberBuffer[];
extern CDViewerDlg *MainDlg;
extern BOOL StartFlag;
extern TCHAR OutputBuffer[];
extern TCHAR ProgramPath[];
extern TCHAR FramePath[];
extern TCHAR SettingsPath[];
extern TCHAR PEPsPath[];
extern TCHAR CRLF[];


CNumberDlg::CNumberDlg( CWnd* pParent /*=NULL*/ )
	: CDialog( CNumberDlg::IDD, pParent )
{
	//{{AFX_DATA_INIT(CNumberDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CNumberDlg::DoDataExchange( CDataExchange* pDX )
{
	CDialog::DoDataExchange( pDX );
	//{{AFX_DATA_MAP( CNumberDlg )
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP( CNumberDlg, CDialog )
	//{{AFX_MSG_MAP(CNumberDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CNumberDlg message handlers

BOOL CNumberDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	GotoDlgCtrl( GetDlgItem( IDC_NUMBER ) );
	
	return FALSE; 
}

void CNumberDlg::OnOK() 
{
RECT Rect;
CFile File;

	GetDlgItemText( IDC_NUMBER, &NumberBuffer[0], 10 );
	if ( strlen( &NumberBuffer[0] ) == 0 )
	{
		AfxMessageBox( "    ", MB_OK, 0 );
		return;
	}
	Number = atoi( &NumberBuffer[0] );

	sprintf( &OutputBuffer[0], "%sDATA", ProgramPath );
	CreateDirectory( &OutputBuffer[0], NULL );
	sprintf( &OutputBuffer[0], "%sDATA\\%d", ProgramPath, Number );
	CreateDirectory( &OutputBuffer[0], NULL );
	sprintf( &SettingsPath[0], "%s\\SETTINGS", &OutputBuffer[0] );
	sprintf( &FramePath[0], "%s\\FRAMES", &OutputBuffer[0] );
	sprintf( &PEPsPath[0], "%s\\PEPS", &OutputBuffer[0] );
	CreateDirectory( &SettingsPath[0], NULL );
	CreateDirectory( &FramePath[0], NULL );
	CreateDirectory( &PEPsPath[0], NULL );

	sprintf( &OutputBuffer[0], "%sDATA\\%d\\%s", ProgramPath, Number, "Version" );
	if ( File.Open( &OutputBuffer[0], CFile::modeRead | CFile::shareDenyNone, NULL ) == 0 )
	{
		if ( File.Open( &OutputBuffer[0], CFile::modeCreate | CFile::modeWrite | CFile::shareDenyNone, NULL ) == 0 )
		{
			AfxMessageBox( "       ", MB_OK, 0 );
			goto quit_proc;
		}
		TRY 
		{
			File.Write( &VersionBuffer[0], strlen( &VersionBuffer[0] ) ); 
		} 
		CATCH( CFileException, e ) 
		{
			strcpy( &OutputBuffer[0], "   " );
			e->GetErrorMessage( &OutputBuffer[strlen(&OutputBuffer[0])], 256-strlen(&OutputBuffer[0]), NULL );
			strcat( &OutputBuffer[0], CRLF );
			PutStringInTextLog( &OutputBuffer[0] ); 
		} END_CATCH
		File.Close();
	}
	else
	{
		File.Read( &VersionBuffer[0], ( DWORD ) File.GetLength() );
		File.Close();
	}
		
quit_proc:
	if ( StartFlag == TRUE )
	{
		MainDlg->GetClientRect( &Rect );
		Rect.left = 5;
		Rect.top = Rect.bottom - 32;
		Rect.right = 100;
		MainDlg->InvalidateRect( &Rect, TRUE );
	}

	CDialog::OnOK();
}

void CNumberDlg::OnCancel() 
{
	if ( StartFlag == FALSE )
	{
		AfxMessageBox( "     .\n      1000", MB_OK, 0 );
		Version = 403;
		Number = 1000;
	}
	CDialog::OnCancel();
}
