// SelectLanguage.cpp : implementation file
//

#include "stdafx.h"
#include "DViewer.h"
#include "defines.h"
#include "SelectLanguage.h"
#include ".\selectlanguage.h"


extern BYTE CurrentLanguage;


// CSelectLanguage dialog

IMPLEMENT_DYNAMIC( CSelectLanguage, CDialog )
CSelectLanguage::CSelectLanguage( CWnd* pParent /*=NULL*/ )	: CDialog( CSelectLanguage::IDD, pParent )
{
}

CSelectLanguage::~CSelectLanguage()
{
}

void CSelectLanguage::DoDataExchange( CDataExchange* pDX )
{
	CDialog::DoDataExchange( pDX );
}


BEGIN_MESSAGE_MAP( CSelectLanguage, CDialog )
END_MESSAGE_MAP()


// CSelectLanguage message handlers

BOOL CSelectLanguage::OnInitDialog()
{
	CDialog::OnInitDialog();   
	
	if ( CurrentLanguage == 0 )
	{
		pButton = ( CButton * ) GetDlgItem( IDC_RADIO_RUSSIAN );
		pButton->SetCheck( BST_CHECKED );
		pButton = ( CButton * ) GetDlgItem( IDC_RADIO_ENGLISH );
		pButton->SetCheck( BST_UNCHECKED );
		pButton = ( CButton * ) GetDlgItem( IDC_RADIO_TURKISH );
		pButton->SetCheck( BST_UNCHECKED );
	}
	else if ( CurrentLanguage == 1 )
	{
		pButton = ( CButton * ) GetDlgItem( IDC_RADIO_RUSSIAN );
		pButton->SetCheck( BST_UNCHECKED );
		pButton = ( CButton * ) GetDlgItem( IDC_RADIO_ENGLISH );
		pButton->SetCheck( BST_CHECKED );
		pButton = ( CButton * ) GetDlgItem( IDC_RADIO_TURKISH );
		pButton->SetCheck( BST_UNCHECKED );
	}
	else if ( CurrentLanguage == 2 )
	{
		pButton = ( CButton * ) GetDlgItem( IDC_RADIO_RUSSIAN );
		pButton->SetCheck( BST_UNCHECKED );
		pButton = ( CButton * ) GetDlgItem( IDC_RADIO_ENGLISH );
		pButton->SetCheck( BST_UNCHECKED );
		pButton = ( CButton * ) GetDlgItem( IDC_RADIO_TURKISH );
		pButton->SetCheck( BST_CHECKED );
	}                          

	SetWindowText( SelectLanguageHeaderText );

	return TRUE;
}

void CSelectLanguage::OnOK()
{
BYTE Language;

	pButton = ( CButton * ) GetDlgItem( IDC_RADIO_RUSSIAN );
	if ( pButton->GetCheck() == BST_CHECKED )
	{
		Language = 0;
		goto set_language;
	}
	pButton = ( CButton * ) GetDlgItem( IDC_RADIO_ENGLISH );
	if ( pButton->GetCheck() == BST_CHECKED )
	{
		Language = 1;
		goto set_language;
	}
	pButton = ( CButton * ) GetDlgItem( IDC_RADIO_TURKISH );
	if ( pButton->GetCheck() == BST_CHECKED )
	{
		Language = 2;
		goto set_language;
	}
	
	goto quit_proc;

set_language:
	ChangeLanguage( Language );
	CurrentLanguage = Language;

quit_proc:
	CDialog::OnOK();
}
