// VersionDlg.cpp : implementation file
//

#include "stdafx.h"
#include "DViewer.h"
#include "DViewerDlg.h"
#include "VersionDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


/////////////////////////////////////////////////////////////////////////////
// CVersionDlg dialog
extern WORD Version;							//  ,  
extern WORD LastVersion;
extern WORD Number;
extern TCHAR VersionBuffer[];
extern TCHAR IDNumberBuffer[];
extern CDViewerDlg *MainDlg;
extern BOOL StartFlag;
extern TCHAR OutputBuffer[];
extern TCHAR ProgramPath[];
extern TCHAR FramePath[];
extern TCHAR SettingsPath[];
extern TCHAR PEPsPath[];
extern TCHAR CRLF[];
					 

CVersionDlg::CVersionDlg( CWnd* pParent /*=NULL*/ )
	: CDialog( CVersionDlg::IDD, pParent )
{
	//{{AFX_DATA_INIT(CVersionDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}


void CVersionDlg::DoDataExchange( CDataExchange* pDX )
{
	CDialog::DoDataExchange( pDX );
	//{{AFX_DATA_MAP(CVersionDlg)
		// NOTE: the ClassWizard will add DDX and DDV calls here
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP( CVersionDlg, CDialog )
	//{{AFX_MSG_MAP( CVersionDlg )
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CVersionDlg message handlers

BOOL CVersionDlg::OnInitDialog() 
{
	CDialog::OnInitDialog();
	
	GotoDlgCtrl( GetDlgItem( IDC_VERSION ) );
	
	return FALSE; 
}

void CVersionDlg::OnOK() 
{
int Retcode;
RECT Rect;
CFile File;

	GetDlgItemText( IDC_VERSION, &VersionBuffer[0], 10 );

	sprintf( &OutputBuffer[0], "%sDATA\\%d\\%s", ProgramPath, Number, "Version" );
	if ( File.Open( &OutputBuffer[0], CFile::modeRead | CFile::shareDenyNone, NULL ) == 0 )
	{
		if ( File.Open( &OutputBuffer[0], CFile::modeCreate | CFile::modeWrite | CFile::shareDenyNone, NULL ) == 0 )
		{
			AfxMessageBox( "       ", MB_OK, 0 );
			goto quit_proc;
		}
		TRY 
		{
			File.Write( &VersionBuffer[0], strlen( &VersionBuffer[0] ) ); 
		} 
		CATCH( CFileException, e ) 
		{
			strcpy( &OutputBuffer[0], "   " );
			e->GetErrorMessage( &OutputBuffer[strlen(&OutputBuffer[0])], 256-strlen(&OutputBuffer[0]), NULL );
			strcat( &OutputBuffer[0], CRLF );
			PutStringInTextLog( &OutputBuffer[0] ); 
		} END_CATCH
		File.Close();
	}
	else
	{
		File.Close();
		sprintf( &OutputBuffer[0], " ,     %d    %s", Number, &VersionBuffer[0] );
		Retcode = AfxMessageBox( &OutputBuffer[0], MB_YESNO, 0 );
		if ( Retcode == IDYES )
		{
			sprintf( &OutputBuffer[0], "%sDATA\\%d\\%s", ProgramPath, Number, "Version" );
			if ( File.Open( &OutputBuffer[0], CFile::modeWrite | CFile::shareDenyNone, NULL ) == 0 )
			{
				AfxMessageBox( "       ", MB_OK, 0 );
				goto quit_proc;
			}
			TRY 
			{
				File.Write( &VersionBuffer[0], strlen( &VersionBuffer[0] ) ); 
			} 
			CATCH( CFileException, e ) 
			{
				strcpy( &OutputBuffer[0], "   " );
				e->GetErrorMessage( &OutputBuffer[strlen(&OutputBuffer[0])], 256-strlen(&OutputBuffer[0]), NULL );
				strcat( &OutputBuffer[0], CRLF );
				PutStringInTextLog( &OutputBuffer[0] ); 
			} END_CATCH
			File.Close();
		}
		else
		{
			sprintf( &OutputBuffer[0], "%sDATA\\%d\\%s", ProgramPath, Number, "Version" );
			if ( File.Open( &OutputBuffer[0], CFile::modeRead | CFile::shareDenyNone, NULL ) == 0 )
			{
				AfxMessageBox( "       ", MB_OK, 0 );
				goto quit_proc;
			}
			File.Read( &VersionBuffer[0], ( UINT ) File.GetLength() ); 
			File.Close();

		}
	}
		
quit_proc:
	if ( StartFlag == TRUE )
	{
		MainDlg->GetClientRect( &Rect );
		Rect.left = 5;
		Rect.top = Rect.bottom - 32;
		Rect.right = 100;
		MainDlg->InvalidateRect( &Rect, TRUE );
	}

	CDialog::OnOK();
}

void CVersionDlg::OnCancel() 
{
	if ( StartFlag == FALSE )
	{
		AfxMessageBox( "     .\n    : 4.03\n : 1000", MB_OK, 0 );
		Version = 403;
	}

	CDialog::OnCancel();
}
