#include "stdafx.h"
#include "DViewer.h"


extern BYTE CurrentLanguage;


LPTSTR MessageText;
LPTSTR szFrameFilter;
LPTSTR szSettingsFilter;
LPTSTR PrevText;
LPTSTR NextText;
LPTSTR ProductionText;
LPTSTR DateText;
LPTSTR DefectorText;
LPTSTR DefectCoorText;
LPTSTR NoticeText;
LPTSTR MMText;
LPTSTR AddCommentText;
LPTSTR OperatorCodeText;
LPTSTR ObjectText;
LPTSTR TypeText;
LPTSTR NumberText;
LPTSTR MaterialText;
LPTSTR DepthText;
LPTSTR OperatorConfinementText;
LPTSTR DefectTypeText;
LPTSTR AddInformationText;
LPTSTR SignatureText;
LPTSTR WindowHeaderText;
LPTSTR PortNotOpenString;
LPTSTR TimeOutString;
LPTSTR UnknownWriteErrorString;
LPTSTR UnknownWriteErrorWODelayString;
LPTSTR ReadErrorString;
LPTSTR UnknownReadErrorString;
LPTSTR ErrorText;
LPTSTR WarningText;
LPTSTR EmergencyExitText;
LPTSTR ErrorSocketOpenText;
LPTSTR ErrorSocketConfigText;
LPTSTR ErrorWinsockText;
LPTSTR ReadFramesHeaderText;
LPTSTR FrameText;
LPTSTR SelectAllFramesText;
LPTSTR CancelButtonText;
LPTSTR FrameNotFoundText;
LPTSTR LinkNotEstablishedText;
LPTSTR FileNotFoundText;
LPTSTR LinkErrorText;
LPTSTR FileNotOpenText;
LPTSTR IPAddressText;
LPTSTR ReadDiapazonText;
LPTSTR CurrentIPAddressText;
LPTSTR FoundText;
LPTSTR NotFoundText;
LPTSTR ReadSettingsHeaderText;
LPTSTR WarningWriteDefaultSettingsText;
LPTSTR IPAddressHeaderText;
LPTSTR SelectLanguageHeaderText;
LPTSTR AboutProgramHeaderText;
LPTSTR AboutProgram1Text;
LPTSTR AboutProgram2Text;
LPTSTR PrintColorWarningText;
LPTSTR PrinterNotInstalledText;


//  
LPTSTR MessageTextRus = _T( "" );
LPTSTR szFrameFilterRus = _T( "  (*.png)|*.png" );
LPTSTR szSettingsFilterRus = _T( "   (*.sdb)|*.sdb" );
LPTSTR PrevTextRus = _T( "." );
LPTSTR NextTextRus = _T( "." );
LPTSTR ProductionTextRus = _T( ":" );
LPTSTR DateTextRus = _T( " :" );
LPTSTR DefectorTextRus = _T( ":" );
LPTSTR DefectCoorTextRus = _T( "  ():" );
LPTSTR NoticeTextRus = _T( ":" );
LPTSTR MMTextRus = _T( "" );
LPTSTR AddCommentTextRus = _T( " " );
LPTSTR OperatorCodeTextRus = _T( " :" );
LPTSTR ObjectTextRus = _T( "" );
LPTSTR TypeTextRus = _T( "     :" );
LPTSTR NumberTextRus = _T( "       :" );
LPTSTR MaterialTextRus = _T( ":" );
LPTSTR DepthTextRus = _T( " :" );
LPTSTR OperatorConfinementTextRus = _T( " " );
LPTSTR DefectTypeTextRus = _T( " () :" );
LPTSTR AddInformationTextRus = _T( " :" );
LPTSTR SignatureTextRus = _T( "" );
LPTSTR WindowHeaderTextRus = _T( "DViewer,  %s" );
LPTSTR PortNotOpenStringRus = _T( " %s  ." );
LPTSTR TimeOutStringRus = _T( "-      %s" );
LPTSTR UnknownWriteErrorStringRus = _T( "       %s" );
LPTSTR UnknownWriteErrorWODelayStringRus = _T( "  ( )       %s" );
LPTSTR ReadErrorStringRus = _T( "     %s" );
LPTSTR UnknownReadErrorStringRus = _T( "      %s" );
LPTSTR ErrorTextRus = _T( "" );
LPTSTR WarningTextRus = _T( "" );
LPTSTR EmergencyExitTextRus = _T( "    DViewer" );
LPTSTR ErrorSocketOpenTextRus = _T( "   %s.\n%s.\n  %d" );
LPTSTR ErrorSocketConfigTextRus = _T( "    %s.\n%s.\n  %d" );
LPTSTR ErrorWinsockTextRus = _T( "   Winsock.\n%s.\n  %d" );
LPTSTR ReadFramesHeaderTextRus = _T( " " );
LPTSTR FrameTextRus = _T( "" );
LPTSTR SelectAllFramesTextRus = _T( "  " );
LPTSTR CancelButtonTextRus = _T( "" );
LPTSTR FrameNotFoundTextRus = _T( "" );
LPTSTR LinkNotEstablishedTextRus = _T( " " );
LPTSTR FileNotFoundTextRus = _T( " %s - " );
LPTSTR LinkErrorTextRus = _T( " %s -  " );
LPTSTR FileNotOpenTextRus = _T( "   %s" );
LPTSTR IPAddressTextRus = _T( "IP " );
LPTSTR ReadDiapazonTextRus = _T( "  IP  %s - %s" );
LPTSTR CurrentIPAddressTextRus = _T( " IP  - %s" );
LPTSTR FoundTextRus = _T( " -  " );
LPTSTR NotFoundTextRus = _T( " -  " );
LPTSTR ReadSettingsHeaderTextRus = _T( "  " );
LPTSTR WarningWriteDefaultSettingsTextRus = _T( " ,     \n  " );
LPTSTR IPAddressHeaderTextRus = _T( "IP  " );
LPTSTR SelectLanguageHeaderTextRus = _T( " " );
LPTSTR AboutProgramHeaderTextRus = _T( " " );
LPTSTR AboutProgram1TextRus = _T( " DViewer,  %s" );
LPTSTR AboutProgram2TextRus = _T( "Copyright 2008-2010 by  , " );
LPTSTR PrintColorWarningTextRus = _T( "   .   \n   .  ,\n     ?" );
LPTSTR PrinterNotInstalledTextRus = _T( "    .\n ." );


//  
LPTSTR MessageTextEng = _T( "Message" );
LPTSTR szFrameFilterEng = _T( "Frame files (*.png)|*.png" );
LPTSTR szSettingsFilterEng = _T( "Settings files (*.sdb)|*.sdb" );
LPTSTR PrevTextEng = _T( "prev." );
LPTSTR NextTextEng = _T( "next" );
LPTSTR ProductionTextEng = _T( "Item:" );
LPTSTR DateTextEng = _T( "Monitoring date:" );
LPTSTR DefectorTextEng = _T( "Operator:" );
LPTSTR DefectCoorTextEng = _T( "Defect coordinates (depth):" );
LPTSTR NoticeTextEng = _T( "The note:" );
LPTSTR MMTextEng = _T( "mm" );
LPTSTR AddCommentTextEng = _T( "The additional commentary" );
LPTSTR OperatorCodeTextEng = _T( "Operator code:" );
LPTSTR ObjectTextEng = _T( "Object" );
LPTSTR TypeTextEng = _T( "type     :" );
LPTSTR NumberTextEng = _T( "Number   :" );
LPTSTR MaterialTextEng = _T( "material :" );
LPTSTR DepthTextEng = _T( "thickness:" );
LPTSTR OperatorConfinementTextEng = _T( "The conclusion of an operator" );
LPTSTR DefectTypeTextEng = _T( "Defect type (code):" );
LPTSTR AddInformationTextEng = _T( "Additional information:" );
LPTSTR SignatureTextEng = _T( "Signature" );
LPTSTR WindowHeaderTextEng = _T( "DViewer, version %s" );
LPTSTR PortNotOpenStringEng = _T( "Port %s is not open." );
LPTSTR TimeOutStringEng = _T( "Timeout while connecting port %s" );
LPTSTR UnknownWriteErrorStringEng = _T( "Unknown error occured while port %s is writing" );
LPTSTR UnknownWriteErrorWODelayStringEng = _T( "Unknown error occured while port %s is writing (Without delay)" );
LPTSTR ReadErrorStringEng = _T( "Error occure while port %s is reading" );
LPTSTR UnknownReadErrorStringEng = _T( "Unknown error occured while port %s is reading" );
LPTSTR ErrorTextEng = _T( "Error" );
LPTSTR WarningTextEng = _T( "Warning" );
LPTSTR EmergencyExitTextEng = _T( "DViewer programm emergency exit" );
LPTSTR ErrorSocketOpenTextEng = _T( "Socket %s is not open.\n%s.\nError code %d" );
LPTSTR ErrorSocketConfigTextEng = _T( "Socket %s do not tuned.\n%s.\nError code %d" );
LPTSTR ErrorWinsockTextEng = _T( "Interface Winsock do not launched.\n%s.\nError code %d" );
LPTSTR ReadFramesHeaderTextEng = _T( "Frames reading" );
LPTSTR FrameTextEng = _T( "Frame" );
LPTSTR SelectAllFramesTextEng = _T( "Select all frames" );
LPTSTR CancelButtonTextEng = _T( "Cancel" );
LPTSTR FrameNotFoundTextEng = _T( "no" );
LPTSTR LinkNotEstablishedTextEng = _T( "link not established" );
LPTSTR FileNotFoundTextEng = _T( "file %s - not found" );
LPTSTR LinkErrorTextEng = _T( "file %s - link not established" );
LPTSTR FileNotOpenTextEng = _T( "Error occured while open file %s" );
LPTSTR IPAddressTextEng = _T( "IP address" );
LPTSTR ReadDiapazonTextEng = _T( "Check IP address diapason %s - %s" );
LPTSTR CurrentIPAddressTextEng = _T( "Current IP address - %s" );
LPTSTR FoundTextEng = _T( " - answer exist" );
LPTSTR NotFoundTextEng = _T( " - answer do not exist" );
LPTSTR ReadSettingsHeaderTextEng = _T( "Read apparatus settings" );
LPTSTR WarningWriteDefaultSettingsTextEng = _T( "Are you sure to rewrite default settings\nto apparatus" );
LPTSTR IPAddressHeaderTextEng = _T( "Set defectoscope IP address" );
LPTSTR SelectLanguageHeaderTextEng = _T( "Select language" );
LPTSTR AboutProgramHeaderTextEng = _T( "About program" );
LPTSTR AboutProgram1TextEng = _T( "Program DViewer, version %s" );
LPTSTR AboutProgram2TextEng = _T( "Copyright 2008-2010 by OOO DEMAS, Russia" );
LPTSTR PrintColorWarningTextEng = _T( "You select monochrom printer. While printing\ncolor information may be lost. Are you sure,\nthat you want to print out on this device?" );
LPTSTR PrinterNotInstalledTextEng = _T( "You do not have any printer installed.\nPrint can't be proceed." );


//  
LPTSTR MessageTextTur = _T( "Bildiri" );
LPTSTR szFrameFilterTur = _T( "Goruntu dosyeleri (*.png)|*.png" );
LPTSTR szSettingsFilterTur = _T( "Program dosyeleri (*.sdb)|*.sdb" );
LPTSTR PrevTextTur = _T( "Once." );
LPTSTR NextTextTur = _T( "Sonr." );
LPTSTR ProductionTextTur = _T( "Urun:" );
LPTSTR DateTextTur = _T( "Kontrol tarihi:" );
LPTSTR DefectorTextTur = _T( "Operator:" );
LPTSTR DefectCoorTextTur = _T( "Hata koordinatlari (derinlik):" );
LPTSTR NoticeTextTur = _T( "Not:" );
LPTSTR MMTextTur = _T( "mm" );
LPTSTR AddCommentTextTur = _T( "Ilave yorum" );
LPTSTR OperatorCodeTextTur = _T( "Operator kodu:" );
LPTSTR ObjectTextTur = _T( "Control edilen parca" );
LPTSTR TypeTextTur = _T( "Tip     :" );
LPTSTR NumberTextTur = _T( "       :" );
LPTSTR MaterialTextTur = _T( "Cinsi   :" );
LPTSTR DepthTextTur = _T( "Kalinlik:" );
LPTSTR OperatorConfinementTextTur = _T( "Kontrol sonuclari" );
LPTSTR DefectTypeTextTur = _T( "Hata tipi:" );
LPTSTR AddInformationTextTur = _T( "Ek bilgi:" );
LPTSTR SignatureTextTur = _T( "Imza" );
LPTSTR WindowHeaderTextTur = _T( "DViewer, versiyon %s" );
LPTSTR PortNotOpenStringTur = _T( "Baglanti portu %s acilmamis." );
LPTSTR TimeOutStringTur = _T( "Zaman asimi %s" );
LPTSTR UnknownWriteErrorStringTur = _T( "Bilinmeyen yazim hatasi %s" );
LPTSTR UnknownWriteErrorWODelayStringTur = _T( "Bilinmeyen yazim hatasi gecikmesi %s" );
LPTSTR ReadErrorStringTur = _T( "Port baglanti hatasi %s" );
LPTSTR UnknownReadErrorStringTur = _T( "Okuma hatasi %s" );
LPTSTR ErrorTextTur = _T( "Hata" );
LPTSTR WarningTextTur = _T( "Uyari" );
LPTSTR EmergencyExitTextTur = _T( "DViewer progrmamindan acil cikis" );
LPTSTR ErrorSocketOpenTextTur = _T( "Soket hatasi %s.\n%s.\nHata kodu %d" );
LPTSTR ErrorSocketConfigTextTur = _T( "Soket hatasi %s.\n%s.\nHata kodu %d" );
LPTSTR ErrorWinsockTextTur = _T( "Winsock hatasi.\n%s.\nHata kodu %d" );
LPTSTR ReadFramesHeaderTextTur = _T( "Ekran goruntusunu okuyorum" );
LPTSTR FrameTextTur = _T( "Goruntusu" );
LPTSTR SelectAllFramesTextTur = _T( "Tumunu sec" );
LPTSTR CancelButtonTextTur = _T( "Iptal" );
LPTSTR FrameNotFoundTextTur = _T( "hayir" );
LPTSTR LinkNotEstablishedTextTur = _T( "Baglanti hatasi" );
LPTSTR FileNotFoundTextTur = _T( "Dosye %s - yok" );
LPTSTR LinkErrorTextTur = _T( "Dosye %s - baglanti yok" );
LPTSTR FileNotOpenTextTur = _T( "Error occured while open file %s" );
LPTSTR IPAddressTextTur = _T( "IP adresi" );
LPTSTR ReadDiapazonTextTur = _T( "IP adres kontrolu %s - %s" );
LPTSTR CurrentIPAddressTextTur = _T( "Guncel IP adres - %s" );
LPTSTR FoundTextTur = _T( " - cevap var" );
LPTSTR NotFoundTextTur = _T( " - cevap yok" );
LPTSTR ReadSettingsHeaderTextTur = _T( "Program okumasi" );
LPTSTR WarningWriteDefaultSettingsTextTur = _T( "Programi kaydetmek istediginden eminmisin?" );
LPTSTR IPAddressHeaderTextTur = _T( "Hata dedektorun IP adresi" );
LPTSTR SelectLanguageHeaderTextTur = _T( "Dil Secimi" );
LPTSTR AboutProgramHeaderTextTur = _T( "About program" );
LPTSTR AboutProgram1TextTur = _T( "Program DViewer, versiyon %s" );
LPTSTR AboutProgram2TextTur = _T( "Copyright 2008-2010 by OOO DEMAS, Russia" );
LPTSTR PrintColorWarningTextTur = _T( "You select monochrom printer. While printing\ncolor information may be lost. Are you sure,\nthat you want to print out on this device?" );
LPTSTR PrinterNotInstalledTextTur = _T( "You do not have any printer installed.\nPrint can't be proceed." );


VOID ChangeLanguage( BYTE Language )
{
	if ( Language == 0 )
	{
		//  
		MessageText = MessageTextRus;
		szFrameFilter =	szFrameFilterRus;
		szSettingsFilter = szSettingsFilterRus;
		PrevText = PrevTextRus;
		NextText = NextTextRus;
		ProductionText = ProductionTextRus;
		DateText = DateTextRus;
		DefectorText = DefectorTextRus;
		DefectCoorText = DefectCoorTextRus;
		NoticeText = NoticeTextRus;
		MMText = MMTextRus;
		AddCommentText = AddCommentTextRus;
		OperatorCodeText = OperatorCodeTextRus;
		ObjectText = ObjectTextRus;
		TypeText = TypeTextRus;
		NumberText = NumberTextRus;
		MaterialText = MaterialTextRus;
		DepthText = DepthTextRus;
		OperatorConfinementText = OperatorConfinementTextRus;
		DefectTypeText = DefectTypeTextRus;
		AddInformationText = AddInformationTextRus;
		SignatureText = SignatureTextRus;
		WindowHeaderText = WindowHeaderTextRus;
		PortNotOpenString = PortNotOpenStringRus;
		TimeOutString = TimeOutStringRus;
		UnknownWriteErrorString = UnknownWriteErrorStringRus;
		UnknownWriteErrorWODelayString = UnknownWriteErrorWODelayStringRus;
		ReadErrorString = ReadErrorStringRus;
		UnknownReadErrorString = UnknownReadErrorStringRus;
		ErrorText = ErrorTextRus;
		WarningText = WarningTextRus;
		EmergencyExitText = EmergencyExitTextRus;
		ErrorSocketOpenText = ErrorSocketOpenTextRus;
		ErrorSocketConfigText = ErrorSocketConfigTextRus;
		ErrorWinsockText = ErrorWinsockTextRus;
		ReadFramesHeaderText = ReadFramesHeaderTextRus;
		FrameText = FrameTextRus;
		SelectAllFramesText = SelectAllFramesTextRus;
		CancelButtonText = CancelButtonTextRus;
		FrameNotFoundText = FrameNotFoundTextRus;
		LinkNotEstablishedText = LinkNotEstablishedTextRus;
		FileNotFoundText = FileNotFoundTextRus;
		LinkErrorText = LinkErrorTextRus;
		FileNotOpenText = FileNotOpenTextRus;
		IPAddressText = IPAddressTextRus;
		ReadDiapazonText = ReadDiapazonTextRus;
		CurrentIPAddressText = CurrentIPAddressTextRus;
		FoundText = FoundTextRus;
		NotFoundText = NotFoundTextRus;
		ReadSettingsHeaderText = ReadSettingsHeaderTextRus;
		WarningWriteDefaultSettingsText = WarningWriteDefaultSettingsTextRus;
		IPAddressHeaderText = IPAddressHeaderTextRus;
		SelectLanguageHeaderText = SelectLanguageHeaderTextRus;
		AboutProgramHeaderText = AboutProgramHeaderTextRus;
		AboutProgram1Text = AboutProgram1TextRus;
		AboutProgram2Text = AboutProgram2TextRus;
		PrintColorWarningText = PrintColorWarningTextRus;
		PrinterNotInstalledText = PrinterNotInstalledTextRus;
	}
	else if ( Language == 1 )
	{
		//  
		MessageText = MessageTextEng;
		szFrameFilter =	szFrameFilterEng;
		szSettingsFilter = szSettingsFilterEng;
		PrevText = PrevTextEng;
		NextText = NextTextEng;
		ProductionText = ProductionTextEng;
		DateText = DateTextEng;
		DefectorText = DefectorTextEng;
		DefectCoorText = DefectCoorTextEng;
		NoticeText = NoticeTextEng;
		MMText = MMTextEng;
		AddCommentText = AddCommentTextEng;
		OperatorCodeText = OperatorCodeTextEng;
		ObjectText = ObjectTextEng;
		TypeText = TypeTextEng;
		NumberText = NumberTextEng;
		MaterialText = MaterialTextEng;
		DepthText = DepthTextEng;
		OperatorConfinementText = OperatorConfinementTextEng;
		DefectTypeText = DefectTypeTextEng;
		AddInformationText = AddInformationTextEng;
		SignatureText = SignatureTextEng;
		WindowHeaderText = WindowHeaderTextEng;
		PortNotOpenString = PortNotOpenStringEng;
		TimeOutString = TimeOutStringEng;
		UnknownWriteErrorString = UnknownWriteErrorStringEng;
		UnknownWriteErrorWODelayString = UnknownWriteErrorWODelayStringEng;
		ReadErrorString = ReadErrorStringEng;
		UnknownReadErrorString = UnknownReadErrorStringEng;
		ErrorText = ErrorTextEng;
		WarningText = WarningTextEng;
		EmergencyExitText = EmergencyExitTextEng;
		ErrorSocketOpenText = ErrorSocketOpenTextEng;
		ErrorSocketConfigText = ErrorSocketConfigTextEng;
		ErrorWinsockText = ErrorWinsockTextEng;
		ReadFramesHeaderText = ReadFramesHeaderTextEng;
		FrameText = FrameTextEng;
		SelectAllFramesText = SelectAllFramesTextEng;
		CancelButtonText = CancelButtonTextEng;
		FrameNotFoundText = FrameNotFoundTextEng;
		LinkNotEstablishedText = LinkNotEstablishedTextEng;
		FileNotFoundText = FileNotFoundTextEng;
		LinkErrorText = LinkErrorTextEng;
		FileNotOpenText = FileNotOpenTextEng;
		IPAddressText = IPAddressTextEng;
		ReadDiapazonText = ReadDiapazonTextEng;
		CurrentIPAddressText = CurrentIPAddressTextEng;
		FoundText = FoundTextEng;
		NotFoundText = NotFoundTextEng;
		ReadSettingsHeaderText = ReadSettingsHeaderTextEng;
		WarningWriteDefaultSettingsText = WarningWriteDefaultSettingsTextEng;
		IPAddressHeaderText = IPAddressHeaderTextEng;
		SelectLanguageHeaderText = SelectLanguageHeaderTextEng;
		AboutProgramHeaderText = AboutProgramHeaderTextEng;
		AboutProgram1Text = AboutProgram1TextEng;
		AboutProgram2Text = AboutProgram2TextEng;
		PrintColorWarningText = PrintColorWarningTextEng;
		PrinterNotInstalledText = PrinterNotInstalledTextEng;
	}
	else if ( Language == 2 )
	{
		//  
		MessageText = MessageTextTur;
		szFrameFilter =	szFrameFilterTur;
		szSettingsFilter = szSettingsFilterTur;
		PrevText = PrevTextTur;
		NextText = NextTextTur;
		ProductionText = ProductionTextTur;
		DateText = DateTextTur;
		DefectorText = DefectorTextTur;
		DefectCoorText = DefectCoorTextTur;
		NoticeText = NoticeTextTur;
		MMText = MMTextTur;
		AddCommentText = AddCommentTextTur;
		OperatorCodeText = OperatorCodeTextTur;
		ObjectText = ObjectTextTur;
		TypeText = TypeTextTur;
		NumberText = NumberTextTur;
		MaterialText = MaterialTextTur;
		DepthText = DepthTextTur;
		OperatorConfinementText = OperatorConfinementTextTur;
		DefectTypeText = DefectTypeTextTur;
		AddInformationText = AddInformationTextTur;
		SignatureText = SignatureTextTur;
		WindowHeaderText = WindowHeaderTextTur;
		PortNotOpenString = PortNotOpenStringTur;
		TimeOutString = TimeOutStringTur;
		UnknownWriteErrorString = UnknownWriteErrorStringTur;
		UnknownWriteErrorWODelayString = UnknownWriteErrorWODelayStringTur;
		ReadErrorString = ReadErrorStringTur;
		UnknownReadErrorString = UnknownReadErrorStringTur;
		ErrorText = ErrorTextTur;
		WarningText = WarningTextTur;
		EmergencyExitText = EmergencyExitTextTur;
		ErrorSocketOpenText = ErrorSocketOpenTextTur;
		ErrorSocketConfigText = ErrorSocketConfigTextTur;
		ErrorWinsockText = ErrorWinsockTextTur;
		ReadFramesHeaderText = ReadFramesHeaderTextTur;
		FrameText = FrameTextTur;
		SelectAllFramesText = SelectAllFramesTextTur;
		CancelButtonText = CancelButtonTextTur;
		FrameNotFoundText = FrameNotFoundTextTur;
		LinkNotEstablishedText = LinkNotEstablishedTextTur;
		FileNotFoundText = FileNotFoundTextTur;
		LinkErrorText = LinkErrorTextTur;
		FileNotOpenText = FileNotOpenTextTur;
		IPAddressText = IPAddressTextTur;
		ReadDiapazonText = ReadDiapazonTextTur;
		CurrentIPAddressText = CurrentIPAddressTextTur;
		FoundText = FoundTextTur;
		NotFoundText = NotFoundTextTur;
		ReadSettingsHeaderText = ReadSettingsHeaderTextTur;
		WarningWriteDefaultSettingsText = WarningWriteDefaultSettingsTextTur;
		IPAddressHeaderText = IPAddressHeaderTextTur;
		SelectLanguageHeaderText = SelectLanguageHeaderTextTur;
		AboutProgramHeaderText = AboutProgramHeaderTextTur;
		AboutProgram1Text = AboutProgram1TextTur;
		AboutProgram2Text = AboutProgram2TextTur;
		PrintColorWarningText = PrintColorWarningTextTur;
		PrinterNotInstalledText = PrinterNotInstalledTextTur;
	}

	CurrentLanguage = Language;
}
