// MessageWnd.cpp : implementation file
//

#include "stdafx.h"
#include "DViewer.h"
#include "MessageWnd.h"
#include ".\messagewnd.h"


extern DWORD BackColor; 
extern DWORD ForeColor;
extern DWORD GreenColor; 
extern DWORD RedColor;
extern DWORD BlackColor; 
extern DWORD WhiteColor;


// CMessageWnd

IMPLEMENT_DYNAMIC( CMessageWnd, CWnd )
CMessageWnd::CMessageWnd()
{
	Brush.CreateSolidBrush( WhiteColor );
}

CMessageWnd::~CMessageWnd()
{
}


BEGIN_MESSAGE_MAP( CMessageWnd, CWnd )
	ON_WM_PAINT()
END_MESSAGE_MAP()



// CMessageWnd message handlers


LRESULT CMessageWnd::WindowProc( UINT message, WPARAM wParam, LPARAM lParam )
{
LRESULT Retcode;

	Retcode = 0;

	switch ( message )
	{
		case WM_USER + 1:
		wcscpy( &MessageText1[0], ( LPTSTR ) wParam );
		Invalidate( FALSE );
		break;             

		case WM_USER + 2:
		wcscpy( &MessageText2[0], ( LPTSTR ) wParam );
		Invalidate( FALSE );
		break;             

		default:
		Retcode = CWnd::WindowProc( message, wParam, lParam );
		break;
	}

	return( Retcode );
}

void CMessageWnd::OnPaint()
{
RECT Rect;

	CPaintDC dc( this );

	GetClientRect( &Rect );

	dc.FillRect( &Rect, &Brush );

	dc.SetTextColor( BlackColor );
	dc.SetBkColor( WhiteColor );
	dc.TextOut( 5, 30, &MessageText1[0], wcslen( &MessageText1[0] ) );
	dc.TextOut( 5, 46, &MessageText2[0], wcslen( &MessageText2[0] ) );

}
