//   
#ifndef SETTINGS_DEFINED

struct SETTINGS403 {
BYTE SettingsNumber;				//   .
BYTE FrameNumber;					//  .
BYTE ChannelNumber;					//  .
BYTE ASD1Base[9];					//  1  
BYTE ASD2Base[9];					//  2  
BYTE ASD1Length[9];					//   1  
BYTE ASD2Length[9];					//   2  
BYTE ASD1Level[9];					//   1  
BYTE ASD2Level[9];  				//   2  
BYTE Strob1TypeOutput[9];			//    .   1
									// ( RY=0, RX=1, YX=2, R=3, Y=4, X=5, X-C=6 )
BYTE Strob2TypeOutput[9];   		//    .   2
									// ( RY=0, RX=1, YX=2 )
BYTE RadiatePower;					//  . ( MIN=15, MAX=255 )
BYTE InputResistor;					// R .
BYTE AmplifierKoeff[9]; 			//  
BYTE VRCHLaw[9];  					//  :
									// 0 = R**(-1/2),
									// 1 = R**(-3/2).
									// 2 = .
									// 3 = DAC.
									// 4 -  
BOOL LockOnFlag;					// /  .
BOOL SoundOnFlag;					// /  .
BOOL CutSubMode;					// /  
BOOL VRCHSubMode;					// /  
BOOL RzSubMode;						// /  
BOOL AccSubMode;					// /  
BYTE Rz;							//  Rz.
WORD SensorNumber[9];				//  .
WORD Unrolling[9];					// 00h - 6.25 .
									// 01h - 12.5 .
                            		// 02h - 25 .
                            		// 04h - 50 .
                            		// 08h - 100 .
                            		// 10h - 200 .
                            		// 20h - 400 .
                            		// 40h - 800 .
WORD Delay[9];						// -     fifo - 
BYTE Cut[9];						//     
BYTE Solidity;						//   0, 1, 2  3.
WORD Depth0[9];						// 0  ( ) ( fifo)
WORD Depth1[9];						//   ( * 10)
BYTE InputAngle[9];					//     
WORD UltrasonicSpeed;				//     - /
BYTE DepthOutputType;				//    (=0  =1)
BYTE R12PointsNumber[9];			//   R12-.
WORD R12YPoints[9][2]; 				//  R12-:
WORD R12XPoints[9][2]; 				//  R12-:
BYTE R32PointsNumber[9];			//   R32-.
WORD R32YPoints[9][2]; 				//  R32-:
WORD R32XPoints[9][2]; 				//  R32-:
BYTE ARDCurveNumber[9];				//    (0 -  , 1 - 7   ).
WORD ARDEffectiveSquare[9];			//     * 10.
WORD DACEffectiveSquare[9];			//    DAC * 10.
BYTE DACPointsNumber[9];			//   DAC-.
WORD DACYPoints[9][8]; 				//  DAC-:
WORD DACXPoints[9][8]; 				//  DAC-:
BYTE PEPName[9][PEP_NAME_MAX_SYMBOL];//  
BOOL ChangeAmplificationFlag;  		//     "".
WORD SensorFrequency[9];			//  .

BOOL ManyChannelModeFlag;
BYTE ProgramModeFlag;

BYTE AmplificationLevelValue;		//   
BYTE OneStrobSubModeFlag;			//     : 0, 1, 2
BYTE DepthType;						//   : 0 - . 1 - 
BYTE DepthKoeff;					// .   0 - 250 -> 0,5 -> 1,0
									//  0,004
BYTE FPSMode;						//  FPS 1 - 100  (  )
									//           2 - 50  (  )
BYTE DisplayBrightnessMode;			//   0 - 30%
									//		 1 - 50%
									//		 2 - 75%
									//		 3 - 100%
BYTE DefectType;					// 0 -     1 
									// 1 -     2 
									// 2 -   ~  1 
									// 3 -   ~  2 
									// 4 -     1  2 
									// 5 -   ~  1  2 
									// 6 -     1  ~ 2 
									// 7 -   ~  1   2 
									// 8 -  
BYTE CutModeFlag;					//  : 0 - , 1 - 
BYTE ChannelTurnOffFlags;			//   0 -  , 1 - 
									// 0  - 1  ... 7  - 8 
BYTE ParamChangingFlag;				//    
									// 0 -    
									// 1 -      
									//   
BYTE MeasureModeFlag;				//   0 - A, 1 - S
BOOL BottomModeFlag;				//   : 0 - , 1 - 

//     850 .
BYTE Reserved[46];
BYTE CommentBuffer[124];
WORD AWSCheckSum;
WORD CheckSum;						//   .
};


struct SETTINGS502 {
BYTE SettingsNumber;				//   .
BYTE FrameNumber;					//  .
BYTE ChannelNumber;					//  .
BYTE ASD1Base[9];					//  1  
BYTE ASD2Base[9];					//  2  
BYTE ASD1Length[9];					//   1  
BYTE ASD2Length[9];					//   2  
BYTE ASD1Level[9];					//   1  
BYTE ASD2Level[9];  				//   2  
BYTE Strob1TypeOutput[9];			//    .   1
									// ( RY=0, RX=1, YX=2, R=3, Y=4, X=5, X-C=6 )
BYTE Strob2TypeOutput[9];   		//    .   2
									// ( RY=0, RX=1, YX=2 )
BYTE RadiatePower;					//  . ( MIN=15, MAX=255 )
BYTE InputResistor;					// R .
BYTE AmplifierKoeff[9]; 			//  
BYTE VRCHLaw[9];  					//  :
									// 0 = R**(-1/2),
									// 1 = R**(-3/2).
									// 2 = .
									// 3 = DAC.
									// 4 -  
BOOL LockOnFlag;					// /  .
BOOL SoundOnFlag;					// /  .
BOOL CutSubMode;					// /  
BOOL VRCHSubMode;					// /  
BOOL RzSubMode;						// /  
BOOL AccSubMode;					// /  
BYTE Rz;							//  Rz.
WORD SensorNumber[9];				//  .
WORD Unrolling[9];					// 00h - 6.25 .
									// 01h - 12.5 .
                            		// 02h - 25 .
                            		// 04h - 50 .
                            		// 08h - 100 .
                            		// 10h - 200 .
                            		// 20h - 400 .
                            		// 40h - 800 .
WORD Delay[9];						// -     fifo - 
BYTE Cut[9];						//     
BYTE Solidity;						//   0, 1, 2  3.
WORD Depth0[9];						// 0  ( ) ( fifo)
WORD Depth1[9];						//   ( * 10)
BYTE InputAngle[9];					//     
WORD UltrasonicSpeed;				//     - /
BYTE DepthOutputType;				//    (=0  =1)
BYTE R12PointsNumber[9];			//   R12-.
WORD R12YPoints[9][2]; 				//  R12-:
WORD R12XPoints[9][2]; 				//  R12-:
BYTE R32PointsNumber[9];			//   R32-.
WORD R32YPoints[9][2]; 				//  R32-:
WORD R32XPoints[9][2]; 				//  R32-:
BYTE ARDCurveNumber[9];				//    (0 -  , 1 - 7   ).
WORD ARDEffectiveSquare[9];			//     * 10.
WORD DACEffectiveSquare[9];			//    DAC * 10.
BYTE DACPointsNumber[9];			//   DAC-.
WORD DACYPoints[9][8]; 				//  DAC-:
WORD DACXPoints[9][8]; 				//  DAC-:
BYTE PEPName[9][PEP_NAME_MAX_SYMBOL];//  
BOOL ChangeAmplificationFlag;  		//     "".
WORD SensorFrequency[9];			//  .

BOOL ManyChannelModeFlag;
BYTE ProgramModeFlag;

BYTE AmplificationLevelValue;		//   
BYTE OneStrobSubModeFlag;			//     : 0, 1, 2
BYTE DepthType;						//   : 0 - . 1 - 
BYTE DepthKoeff;					// .   0 - 250 -> 0,5 -> 1,0
									//  0,004
BYTE FPSMode;						//  FPS 1 - 100  (  )
									//           2 - 50  (  )
BYTE DisplayBrightnessMode;			//   0 - 30%
									//		 1 - 50%
									//		 2 - 75%
									//		 3 - 100%
BYTE DefectType;					// 0 -     1 
									// 1 -     2 
									// 2 -   ~  1 
									// 3 -   ~  2 
									// 4 -     1  2 
									// 5 -   ~  1  2 
									// 6 -     1  ~ 2 
									// 7 -   ~  1   2 
									// 8 -  
BYTE CutModeFlag;					//  : 0 - , 1 - 
BYTE ChannelTurnOffFlags;			//   0 -  , 1 - 
									// 0  - 1  ... 7  - 8 
BYTE ParamChangingFlag;				//    
									// 0 -    
									// 1 -      
									//   
BYTE MeasureModeFlag;				//   0 - A, 1 - S
BOOL BottomModeFlag;				//   : 0 - , 1 - 
BYTE VRCHAmplifierCoeffSave;		//      
BOOL MarkerModeFlag;				//  /   (TRUE/FALSE)
WORD MarkerDepth;					//   ( * 10)

//     854 .
BYTE Reserved[42];
BYTE CommentBuffer[124];
WORD AWSCheckSum;
WORD CheckSum;						//   .
};



struct SETTINGS600 {
BYTE SettingsNumber;				//   .
BYTE FrameNumber;					//  .
BYTE ChannelNumber;					//  .
BYTE ASD1BaseDSP[9];				//  1  
BYTE ASD2BaseDSP[9];				//  2  
BYTE ASD1LengthDSP[9];				//   1  
BYTE ASD2LengthDSP[9];				//   2  
BYTE ASD1LevelDSP[9];  				//   1  
BYTE ASD2LevelDSP[9];  				//   2  
BYTE Strob1TypeOutput[9];			//    .   1
									// ( RY=0, RX=1, YX=2, R=3, Y=4, X=5, X-C=6 )
BYTE Strob2TypeOutput[9];   		//    .   2
									// ( RY=0, RX=1, YX=2 )
BYTE RadiatePower;					//  . ( MIN=15, MAX=255 )
BYTE InputResistor;					// R .
BYTE AmplifierKoeff[9]; 			//  
BYTE VRCHLaw[9];  					//  :
									// 0 = R**(-1/2),
									// 1 = R**(-3/2).
									// 2 = .
									// 3 = DAC.
									// 4 -  
BOOL LockOnFlag;					// /  .
BOOL SoundOnFlag;					// /  .
BOOL CutSubMode;					// /  
BOOL VRCHSubMode;					// /  
BOOL RzSubMode;						// /  
BOOL AccSubMode;					// /  
BYTE Rz;							//  Rz.
WORD SensorNumber[9];				//  .
WORD Unrolling[9];					// 00h - 6.25 .
									// 01h - 12.5 .
                            		// 02h - 25 .
                            		// 04h - 50 .
                            		// 08h - 100 .
                            		// 10h - 200 .
                            		// 20h - 400 .
                            		// 40h - 800 .
WORD Delay[9];						// -     fifo - 
BYTE Cut[9];						//     
BYTE Solidity;						//   0, 1, 2  3.
WORD Depth0[9];						// 0  ( ) ( fifo)
WORD Depth1[9];						//   ( * 10)
BYTE InputAngle[9];					//     
WORD UltrasonicSpeed;				//     - /
BYTE DepthOutputType;				//    (=0  =1)
BYTE R12PointsNumber[9];			//   R12-.
WORD R12YPoints[9][2]; 				//  R12-:
WORD R12XPoints[9][2]; 				//  R12-:
BYTE R32PointsNumber[9];			//   R32-.
WORD R32YPoints[9][2]; 				//  R32-:
WORD R32XPoints[9][2]; 				//  R32-:
BYTE ARDCurveNumber[9];				//    (0 -  , 1 - 7   ).
WORD ARDEffectiveSquare[9];			//     * 10.
WORD DACEffectiveSquare[9];			//    DAC * 10.
BYTE DACPointsNumber[9];			//   DAC-.
WORD DACYPoints[9][8]; 				//  DAC-:
WORD DACXPoints[9][8]; 				//  DAC-:
BYTE PEPName[9][PEP_NAME_MAX_SYMBOL];//  
BOOL ChangeAmplificationFlag;  		//     "".
WORD SensorFrequency[9];			//  .

BOOL ManyChannelModeFlag;
BYTE ProgramModeFlag;

BYTE AmplificationLevelValue;		//   
BYTE OneStrobSubModeFlag;			//     : 0, 1, 2
BYTE DepthType;						//   : 0 - . 1 - 
BYTE DepthKoeff;					// .   0 - 250 -> 0,5 -> 1,0
									//  0,004
BYTE FPSMode;						//  FPS 1 - 100  (  )
									//           2 - 50  (  )
BYTE DisplayBrightnessMode;			//   0 - 30%
									//		 1 - 50%
									//		 2 - 75%
									//		 3 - 100%
BYTE DefectType;					// 0 -     1 
									// 1 -     2 
									// 2 -   ~  1 
									// 3 -   ~  2 
									// 4 -     1  2 
									// 5 -   ~  1  2 
									// 6 -     1  ~ 2 
									// 7 -   ~  1   2 
									// 8 -  
BYTE CutModeFlag;					//  : 0 - , 1 - 
BYTE ChannelTurnOffFlags;			//   0 -  , 1 - 
									// 0  - 1  ... 7  - 8 
BYTE ParamChangingFlag;				//    
									// 0 -    
									// 1 -      
									//   
BYTE MeasureModeFlag;				//   0 - A, 1 - S
BOOL BottomModeFlag;				//   : 0 - , 1 - 
BYTE VRCHAmplifierCoeffSave;		//      
BOOL MarkerModeFlag;				//  /   (TRUE/FALSE)
WORD MarkerDepth;					//   ( * 10)
BYTE MarkerType;					//   (1-/0- )
BYTE StrobType;						//   (1-/0-)
WORD ASD1Base[9];					//  1   fifo
WORD ASD2Base[9];					//  2   fifo
WORD ASD1Length[9];					//  1   fifo
WORD ASD2Length[9];					//  2   fifo
DWORD ASD1Level[9];			 		//  1  
DWORD ASD2Level[9];  				//  2  

//     1000 
BYTE Reserved[920];
BYTE CommentBuffer[124];
WORD AWSCheckSum;
WORD CheckSum;						//   .
};



#define SETTINGS_DEFINED
#endif
